Zum Hauptinhalt springen
PUT
/
invoice-position-items
/
{id}
cURL
curl -X PUT \
 /invoice-position-items/{id} \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer <token>" \
 --data '{
    "id": "12345678-1234-1234-1234-123456789012",
    "position": "1",
    "description": "This is a product.",
    "quantity": "1",
    "currencyCode": "EUR",
    "taxGroupId": "12345678-1234-1234-1234-123456789012",
    "serviceDateFrom": "2021-01-01",
    "serviceDateTo": "2021-01-31",
    "unitPriceInterval": "monthly",
    "subscriptionItem": "12345678-1234-1234-1234-123456789012",
    "product": "Product A",
    "children": [
        []
    ]
}'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "customer": {
    "id": "00000000-0000-0000-0000-000000000000",
    "customerNumber": "CUSTOMER-000",
    "timeZone": "Europe/Berlin",
    "firstName": "John",
    "lastName": "Doe",
    "currencyCode": "EUR",
    "companyName": "Acme Inc.",
    "datevId": "123456789",
    "status": "STATUS_ACTIVE"
  },
  "paymentMethod": {
    "id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
    "gatewayName": "wallet",
    "type": "sepa_debit",
    "referenceId": "<string>",
    "default": true,
    "status": "active",
    "source": "api",
    "enabled": true,
    "name": "Visa (4242)",
    "data": [
      "<string>"
    ],
    "creationDate": "2024-01-15T10:30:00+00:00",
    "expirationDate": "2026-12-31T23:59:59+00:00",
    "sepaMandate": {},
    "card": {
      "brand": "Visa",
      "last4": "4242",
      "expMonth": 12,
      "expYear": 2022,
      "cardHolder": "Max Mustermann"
    },
    "sepaDebit": {
      "iban": "DE8937*********3232",
      "bic": "COBADEFFXXX",
      "mandateReference": "MNDT-2021-123456",
      "signingDate": "2021-01-01T00:00:00+00:00"
    },
    "paypal": {
      "email": "max@mustermann.de",
      "billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
    }
  },
  "referencedInvoice": {
    "id": "00000000-0000-0000-0000-000000000000",
    "customer": {
      "id": "00000000-0000-0000-0000-000000000000",
      "customerNumber": "CUSTOMER-000",
      "timeZone": "Europe/Berlin",
      "firstName": "John",
      "lastName": "Doe",
      "currencyCode": "EUR",
      "companyName": "Acme Inc.",
      "datevId": "123456789",
      "status": "STATUS_ACTIVE"
    },
    "paymentMethod": {
      "id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
      "gatewayName": "wallet",
      "type": "sepa_debit",
      "referenceId": "<string>",
      "default": true,
      "status": "active",
      "source": "api",
      "enabled": true,
      "name": "Visa (4242)",
      "data": [
        "<string>"
      ],
      "creationDate": "2024-01-15T10:30:00+00:00",
      "expirationDate": "2026-12-31T23:59:59+00:00",
      "sepaMandate": {},
      "card": {
        "brand": "Visa",
        "last4": "4242",
        "expMonth": 12,
        "expYear": 2022,
        "cardHolder": "Max Mustermann"
      },
      "sepaDebit": {
        "iban": "DE8937*********3232",
        "bic": "COBADEFFXXX",
        "mandateReference": "MNDT-2021-123456",
        "signingDate": "2021-01-01T00:00:00+00:00"
      },
      "paypal": {
        "email": "max@mustermann.de",
        "billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
      }
    },
    "referencedInvoice": "<unknown>",
    "type": "TYPE_INVOICE",
    "currencyCode": "EUR",
    "number": "RE-0000000001",
    "status": "STATUS_DRAFT",
    "creationDate": "2023-11-07T05:31:56Z",
    "finalizationDate": "2023-11-07T05:31:56Z",
    "dueDate": "2023-11-07T05:31:56Z",
    "lastReminderDate": "2023-11-07T05:31:56Z",
    "lastSentAt": "2023-11-07T05:31:56Z",
    "dunningLevel": 123,
    "dunningStatus": "none",
    "payDate": "2023-11-07T05:31:56Z",
    "invoiceAddress": "<unknown>",
    "internalNote": "This invoice is with a special discount.",
    "title": "<string>",
    "introduction": "<string>",
    "closing": "<string>",
    "netAmount": {},
    "grossAmount": {},
    "taxAmount": {},
    "discountAmount": {},
    "file": {
      "id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
      "isPrivate": true,
      "mimeType": "image/jpeg",
      "fileExtension": "jpg",
      "fileName": "invoice.jpg",
      "storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
      "createdAt": "2021-01-01T00:00:00+00:00"
    },
    "xmlFile": {
      "id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
      "isPrivate": true,
      "mimeType": "image/jpeg",
      "fileExtension": "jpg",
      "fileName": "invoice.jpg",
      "storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
      "createdAt": "2021-01-01T00:00:00+00:00"
    },
    "positions": [
      {
        "id": {},
        "position": 123,
        "quantity": 1,
        "unit": {
          "id": {},
          "name": "Stück"
        },
        "unitPrice": {},
        "netAmount": {},
        "grossAmount": {},
        "taxAmount": {},
        "discountAmount": {},
        "discountPercentage": 10,
        "name": "My subscription product",
        "description": "* my subscription product",
        "taxGroup": {
          "internalDescription": "19%",
          "reverseChargeType": "REVERSE_CHARGE",
          "type": "standard",
          "id": "00000000-0000-0000-0000-000000000000"
        },
        "tax": {
          "code": "19",
          "rate": 19,
          "id": "00000000-0000-0000-0000-000000000000",
          "description": "19%"
        },
        "type": "product",
        "parent": "<unknown>",
        "group": {
          "id": "ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b",
          "ranking": 1,
          "name": "Subscription #12345"
        },
        "createdAt": "2020-01-01T00:00:00+00:00",
        "product": {
          "type": "product",
          "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
          "name": "Basic",
          "description": "For small teams.",
          "invoiceVisibility": "always",
          "customFields": {
            "field1": "value1",
            "field2": "value2"
          }
        },
        "subscriptionItem": {
          "id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
          "name": "Fitness M",
          "description": "Everything included",
          "furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
          "status": "active",
          "subscriptionId": "<string>"
        },
        "serviceDateFrom": "2020-01-01T00:00:00+00:00",
        "serviceDateTo": "2020-01-01T00:00:00+00:00"
      }
    ],
    "applicatedExchangeRates": [
      {
        "sourceCurrencyCode": "EUR",
        "destinationCurrencyCode": "CHF",
        "exchangeRate": "1.135",
        "exchangeRateDate": "2023-11-07T05:31:56Z"
      }
    ],
    "eInvoiceType": "zugferd211",
    "leitwegId": "1234567890123",
    "customFields": {
      "field1": "value1",
      "field2": "value2"
    },
    "serviceDateFrom": "2023-11-07T05:31:56Z",
    "serviceDateTo": "2023-11-07T05:31:56Z",
    "unpaidAmount": {},
    "usageBreakdownUrl": "<string>",
    "cancellationDocument": {
      "number": "R2021-0001",
      "id": "8d6b0f9e-5b9a-4e1a-9f0a-5e8e1a0b1b1e"
    },
    "dunningDisabled": true,
    "paymentProviderFeeCents": {},
    "sourceType": "<unknown>",
    "creditNotes": "<array>"
  },
  "type": "TYPE_INVOICE",
  "currencyCode": "EUR",
  "number": "RE-0000000001",
  "status": "STATUS_DRAFT",
  "creationDate": "2023-11-07T05:31:56Z",
  "finalizationDate": "2023-11-07T05:31:56Z",
  "dueDate": "2023-11-07T05:31:56Z",
  "lastReminderDate": "2023-11-07T05:31:56Z",
  "lastSentAt": "2023-11-07T05:31:56Z",
  "dunningLevel": 123,
  "dunningStatus": "none",
  "payDate": "2023-11-07T05:31:56Z",
  "invoiceAddress": "<unknown>",
  "internalNote": "This invoice is with a special discount.",
  "title": "<string>",
  "introduction": "<string>",
  "closing": "<string>",
  "netAmount": {},
  "grossAmount": {},
  "taxAmount": {},
  "discountAmount": {},
  "file": {
    "id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
    "isPrivate": true,
    "mimeType": "image/jpeg",
    "fileExtension": "jpg",
    "fileName": "invoice.jpg",
    "storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
    "createdAt": "2021-01-01T00:00:00+00:00"
  },
  "xmlFile": {
    "id": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ",
    "isPrivate": true,
    "mimeType": "image/jpeg",
    "fileExtension": "jpg",
    "fileName": "invoice.jpg",
    "storageFileName": "01F9Z3ZJXZQZJZJZJZJZJZJZJZ.jpg",
    "createdAt": "2021-01-01T00:00:00+00:00"
  },
  "positions": [
    {
      "id": {},
      "position": 123,
      "quantity": 1,
      "unit": {
        "id": {},
        "name": "Stück"
      },
      "unitPrice": {},
      "netAmount": {},
      "grossAmount": {},
      "taxAmount": {},
      "discountAmount": {},
      "discountPercentage": 10,
      "name": "My subscription product",
      "description": "* my subscription product",
      "taxGroup": {
        "internalDescription": "19%",
        "reverseChargeType": "REVERSE_CHARGE",
        "type": "standard",
        "id": "00000000-0000-0000-0000-000000000000"
      },
      "tax": {
        "code": "19",
        "rate": 19,
        "id": "00000000-0000-0000-0000-000000000000",
        "description": "19%"
      },
      "type": "product",
      "parent": "<unknown>",
      "group": {
        "id": "ad8a3b9e-5b0a-4e1a-9c1a-0b9b2b8b0b0b",
        "ranking": 1,
        "name": "Subscription #12345"
      },
      "createdAt": "2020-01-01T00:00:00+00:00",
      "product": {
        "type": "product",
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "name": "Basic",
        "description": "For small teams.",
        "invoiceVisibility": "always",
        "customFields": {
          "field1": "value1",
          "field2": "value2"
        }
      },
      "subscriptionItem": {
        "id": "01F9ZQZJZJQZJZJZJZJZJZJZJZ",
        "name": "Fitness M",
        "description": "Everything included",
        "furtherInformation": "Additional agreements: The contract includes a free drink flatrate.",
        "status": "active",
        "subscriptionId": "<string>"
      },
      "serviceDateFrom": "2020-01-01T00:00:00+00:00",
      "serviceDateTo": "2020-01-01T00:00:00+00:00"
    }
  ],
  "applicatedExchangeRates": [
    {
      "sourceCurrencyCode": "EUR",
      "destinationCurrencyCode": "CHF",
      "exchangeRate": "1.135",
      "exchangeRateDate": "2023-11-07T05:31:56Z"
    }
  ],
  "eInvoiceType": "zugferd211",
  "leitwegId": "1234567890123",
  "customFields": {
    "field1": "value1",
    "field2": "value2"
  },
  "serviceDateFrom": "2023-11-07T05:31:56Z",
  "serviceDateTo": "2023-11-07T05:31:56Z",
  "unpaidAmount": {},
  "usageBreakdownUrl": "<string>",
  "cancellationDocument": {
    "number": "R2021-0001",
    "id": "8d6b0f9e-5b9a-4e1a-9f0a-5e8e1a0b1b1e"
  },
  "dunningDisabled": true,
  "paymentProviderFeeCents": {},
  "sourceType": "<unknown>",
  "creditNotes": "<array>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

InvoicePositionItem identifier

Body

The updated InvoicePositionItem resource

name
string
erforderlich

The name of the position item.

Required string length: 1 - 255
Beispiel:

"Product A"

unitId
any
erforderlich

The unit ID of the position item.

Beispiel:

"12345678-1234-1234-1234-123456789012"

unitPrice
string
Standard:0.00
erforderlich

The unit price as net amount. It is only allowed to use dots as seperator.

Pattern: ^-?\d+\.\d+$
Beispiel:

"10.0"

taxGroupId
string | null
erforderlich

The tax group ID of the position item.

Beispiel:

"12345678-1234-1234-1234-123456789012"

id
string<uuid>

The ID of the position item.

Beispiel:

"12345678-1234-1234-1234-123456789012"

position
integer | null

The position of the position item. If not set, it will be set automatically. The position is used to sort the position items in the invoice.

Beispiel:

1

description
string | null

The description of the position item.

Required string length: 1 - 10000
Beispiel:

"This is a product."

quantity
number
Standard:1

The quantity of the position item. This can be positive or negative.

Beispiel:

1

currencyCode
string | null

The currency code of the position item. If not set, the currency code of the invoice will be used.

Beispiel:

"EUR"

serviceDateFrom
string<date-time> | null

The service date from of the position item. If not set, it is null and will not be printed.

Beispiel:

"2021-01-01"

serviceDateTo
string<date-time> | null

The service date to of the position item. If not set, it is null and will not be printed.

Beispiel:

"2021-01-31"

discountAmount
string
Standard:0.00

The discount amount as net amount needs to be null or a positive money value. This will be subtracted from the unit price amount of the position item (unit price).

Pattern: ^\d+\.\d+$
Beispiel:

"10.0"

discountPercentage
any

The discount percentage needs to be null or a positive value. This will be subtracted from the unit price amount of the position item (unit price).

Beispiel:

12.5

unitPriceInterval
string | null

The unit price interval of the position item. If not set, it is null and will not be printed.

Beispiel:

"monthly"

subscriptionItem
string | null

The subscription item of the position item.

Beispiel:

"12345678-1234-1234-1234-123456789012"

product
string | null

The product of the position item. This is used to have access to statistics also on manual created invoices.

Beispiel:

"Product A"

children
object[]

The children of the position item.

group
object

Antwort

InvoicePositionItem resource updated

id
string<uuid>
read-only

The unique identifier of the invoice.

Beispiel:

"00000000-0000-0000-0000-000000000000"

customer
object

The customer of the invoice.

paymentMethod
object

The payment method which should be used to fullfill the payment of the invoice.

referencedInvoice
object

The referenced invoice of the invoice. This could be in case of a reminder, refund etc.

type
enum<string>

The type of the invoice.

Verfügbare Optionen:
TYPE_INVOICE,
TYPE_CREDIT,
TYPE_REFUND,
TYPE_REMINDER,
TYPE_CANCEL,
TYPE_DUNNING
Beispiel:

"TYPE_INVOICE"

currencyCode
string

The currency code of the invoice. If multiple currency codes will be used in the positions, they will be converted to that base currency.

Beispiel:

"EUR"

number
string
read-only

The document id of the invoice. This will be generated, when the invoice will be finalized.

Beispiel:

"RE-0000000001"

status
enum<string>
read-only
Verfügbare Optionen:
STATUS_DRAFT,
STATUS_PAID,
STATUS_CANCELLED,
STATUS_CLOSED,
STATUS_REFUNDED,
STATUS_REMINDED,
STATUS_UNPAID,
STATUS_NEW,
STATUS_FINALIZING
creationDate
string<date-time>
read-only
finalizationDate
string<date-time> | null
read-only
dueDate
string<date-time> | null
lastReminderDate
string<date-time> | null
read-only
lastSentAt
string<date-time> | null
read-only
dunningLevel
integer
read-only
dunningStatus
enum<string>
Standard:none
read-only
Verfügbare Optionen:
reminder,
dunning,
none
Beispiel:

"none"

payDate
string<date-time> | null
read-only
invoiceAddress
any | null
read-only

The invoice address of the invoice.

internalNote
string | null
veraltet

The notice of the invoice.

Beispiel:

"This invoice is with a special discount."

title
string | null
read-only
introduction
string | null
read-only
closing
string | null
read-only
netAmount
object
read-only

The net amount of the invoice.

grossAmount
object
read-only
taxAmount
object
read-only
discountAmount
object
read-only

The total net discount amount of the invoice.

file
object
xmlFile
object

The xml representation of the invoice in EN16931 or x-Rechnung format.

positions
object[]
read-only

The positions of the invoice.

applicatedExchangeRates
object[]
read-only

The applicated exchange rates of the invoice, fetched from the european central bank.

eInvoiceType
any
Standard:zugferd211

The einvoice generated xml file format.

Verfügbare Optionen:
factorx,zugferd211
Beispiel:

"zugferd211"

leitwegId
string | null

The leitwegid used for einvoice. This is only set, when the eInvoiceType is not null.

Beispiel:

"1234567890123"

customFields
object

Custom fields for the entity. The keys are the field names and the values are the field values. They need to be configured under "/custom-fields" in the API documentation. The input is validated against the configuration. For more details see Custom Fields Guide

Beispiel:
{ "field1": "value1", "field2": "value2" }
serviceDateFrom
string<date-time> | null
read-only

The earliest service date of all positions.

serviceDateTo
string<date-time> | null
read-only

The latest service date of all positions.

unpaidAmount
object
read-only
usageBreakdownUrl
string | null
read-only

Public url to view the detailed usage breakdown of this invoice.

cancellationDocument
object
read-only

The referenced cancellation document.

Beispiel:
{
"number": "R2021-0001",
"id": "8d6b0f9e-5b9a-4e1a-9f0a-5e8e1a0b1b1e"
}
dunningDisabled
boolean
read-only

Dunning is disabled for this invoice.

paymentProviderFeeCents
object
read-only

The total amount of fees for each payment provider, which charges fees.

sourceType
any
read-only

Where the invoice was created from.

Possible values:

  • cart: The invoice was created from a cart.
  • subscription: The invoice was created from a subscription billing run.
  • manual: The invoice was created by a user.
creditNotes
array
read-only

The referenced credit notes.